> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/api/api-v1/cash-receipt.md).

# 현금영수증

## 현금영수증 발급

> 현금영수증을 발급합니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/if/cash-receipt/issue":{"post":{"tags":["erp-cash-receipt-controller"],"summary":"현금영수증 발급","description":"현금영수증을 발급합니다.","operationId":"issue","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReqIssueCashReceipt"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueCashReceipt"}}}}}}}},"components":{"schemas":{"ReqIssueCashReceipt":{"required":["apikey","member","merchant"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"merchant":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"member":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill":{"$ref":"#/components/schemas/ReqCashReceipt"}}},"ReqCashReceipt":{"required":["bill_id","hash","issuance_number","price","supply_price","tax","trader"],"type":"object","properties":{"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"price":{"type":"string","description":"현금영수증 금액  \n{supply_price} + {tax}"},"supply_price":{"type":"string","description":"공급가액  \n -price에서 tax를 뺀 값을 입력  \n -tax가 0인 경우 price와 동일하게 입력"},"tax":{"type":"string","description":"세금  \n -세금이 없는 경우 0 입력"},"issuance_number":{"type":"string","description":"현금영수증 발급 요청 번호  \n -현금영수증 발급 시 사용\n\n -자진발급시 \"0100001234\""},"trader":{"type":"string","description":"현금영수증 발급 구분  \n개인:0, 사업자:1"}}},"IssueCashReceipt":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"},"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"merchant":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"trader":{"type":"string","description":"현금영수증 발급 구분  \n개인:0, 사업자:1"},"appr_cash_num":{"type":"string","description":"현금영수증 발급 승인번호"},"issuance_number":{"type":"string","description":"현금영수증 발급 요청 번호  \n -현금영수증 발급 시 사용\n\n -자진발급시 \"0100001234\""}}}}}}
```

## 현금영수증 발급 취소

> 발급된 현금영수증을 발급 취소합니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/if/cash-receipt/cancel":{"post":{"tags":["erp-cash-receipt-controller"],"summary":"현금영수증 발급 취소","description":"발급된 현금영수증을 발급 취소합니다.","operationId":"cancel_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReqCancelCashReceipt"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelCashReceipt"}}}}}}}},"components":{"schemas":{"ReqCancelCashReceipt":{"required":["apikey","bill_id","hash","member","merchant","price","trader"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"merchant":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"member":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"price":{"type":"string","description":"결제 금액"},"trader":{"type":"string","description":"현금영수증 발급 구분  \n개인:0, 사업자:1"}}},"CancelCashReceipt":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"},"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"merchant":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"appr_cash_num":{"type":"string","description":"현금영수증 발급 승인번호"}}}}}}
```

## 현금영수증 조회

> 발급된 현금영수증의 정보를 조회합니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/if/cash-receipt/read":{"post":{"tags":["erp-cash-receipt-controller"],"summary":"현금영수증 조회","description":"발급된 현금영수증의 정보를 조회합니다.","operationId":"read","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReqReadCashReceipt"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadCashReceipt"}}}}}}}},"components":{"schemas":{"ReqReadCashReceipt":{"required":["apikey","bill_id","hash","member","merchant","price"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"merchant":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"member":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"price":{"type":"string","description":"결제 금액"}}},"ReadCashReceipt":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"},"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"merchant":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"info":{"type":"array","items":{"$ref":"#/components/schemas/CashReceipt"}}}},"CashReceipt":{"type":"object","properties":{"appr_price":{"type":"string","description":"승인금액"},"appr_supply_price":{"type":"string","description":"공급가액"},"appr_tax":{"type":"string","description":"세금"},"appr_num":{"type":"string","description":"응답코드"},"appr_state":{"type":"string","description":"결제 상태  \nF:결제완료, W:미결제, C:취소, D:파기"},"appr_dt":{"type":"string","description":"승인일시"},"trader":{"type":"string","description":"현금영수증 발급 구분  \n개인:0, 사업자:1"},"issuance_number":{"type":"string","description":"현금영수증 발급 요청 번호  \n -현금영수증 발급 시 사용\n\n -자진발급시 \"0100001234\""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.payssam.kr/api/api-v1/cash-receipt.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
